//
//  DashboardView.swift
//  Jel
//
//  Created by zerocool on 12/12/23.
//

import SwiftUI
import JellyfinKit

struct DashboardView: View {
  @State var showingSettingsSheet: Bool = false
  @ObservedObject var authState: AuthStateController = AuthStateController.shared
  @State var refresh: Bool = true
  
  var body: some View {
    ScrollView {
      LazyVStack {
        Section {
          NavigationStack {
            DashboardLibraryView()
          }
        } header: {
          DashboardSectionTitleView("Libraries")
            .padding([.top, .leading])
        }
      }
    }
    .navigationTitle("Home")
    .toolbar {
      ToolbarItem(placement: .topBarTrailing) {
        Button {
          showingSettingsSheet.toggle()
        } label: {
          Label("Settings", systemImage: "gear")
        }
      }
    }
    .sheet(isPresented: $showingSettingsSheet) {
      SettingsView(showingSettingsView: $showingSettingsSheet)
    }
    .onChange(of: authState.loggedIn, {
      refresh = !authState.loggedIn
    })
  }
}

//#Preview {
//  DashboardView()
//}
